import { AstNode, KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { Identifier } from "./Identifier";
import { Statement } from "./Statement";
export declare class ContinueStatement extends Statement {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static create1ContinueStatement(ident?: Identifier): ContinueStatement;
    static updateContinueStatement(original?: ContinueStatement): ContinueStatement;
    static update1ContinueStatement(original?: ContinueStatement, ident?: Identifier): ContinueStatement;
    get ident(): Identifier | undefined;
    get target(): AstNode | undefined;
    get hasTarget(): boolean;
    /** @deprecated */
    setTarget(target?: AstNode): this;
    protected readonly brandContinueStatement: undefined;
}
export declare function isContinueStatement(node: object | undefined): node is ContinueStatement;
